require("catppuccin").setup({
  compile_path = vim.fn.stdpath("cache") .. "/catppuccin", -- fix issue of writing to nix store
  integrations = {
    gitsigns = true,
    lsp_saga = true,
    mini = true,
    noice = true,
    cmp = true,
    native_lsp = {
      enabled = true,
    },
    treesitter = true,
    telekasten = true,
    telescope = true,
    lsp_trouble = true,
    which_key = true,
  },
})
vim.cmd.colorscheme("catppuccin-macchiato")
